#include <VirtualWire.h>

#define nbL298N 2
#define RxPin 11
#define borneENA 13
#define borneIN1 12
#define borneIN2 7
#define borneIN3 10
#define borneIN4 9
#define borneENB 8
#define motor1Pin1 1
#define motor1Pin2 2
#define enable1Pin 3


int pos = 5;


void setup() {

  pinMode(borneENA, OUTPUT);
  pinMode(borneIN1, OUTPUT);
  pinMode(borneIN2, OUTPUT);
  pinMode(borneIN3, OUTPUT);
  pinMode(borneIN4, OUTPUT);
  pinMode(borneENB, OUTPUT);
  pinMode(motor1Pin1, OUTPUT);
  pinMode(motor1Pin2, OUTPUT);

  Serial.begin(9600);
  vw_set_ptt_inverted(true); // Required for DR3100
  vw_setup(2000);  // Bits per sec
 
  vw_rx_start();
}






void forward(){
  analogWrite(borneENA, 150);
  analogWrite(borneENB, 150);
  digitalWrite(borneIN1, HIGH);
  digitalWrite(borneIN2, LOW);
  digitalWrite(borneIN3, LOW);
  digitalWrite(borneIN4, HIGH);
}
void back(){
  analogWrite(borneENA, 150);
  analogWrite(borneENB, 150);
  digitalWrite(borneIN1, LOW);
  digitalWrite(borneIN2, HIGH);
  digitalWrite(borneIN3, HIGH);
  digitalWrite(borneIN4, LOW);
 
}
void left(){
  analogWrite(borneENA, 150);
  analogWrite(borneENB, 150);
  digitalWrite(borneIN1, LOW);
  digitalWrite(borneIN2, HIGH);
  digitalWrite(borneIN3, LOW);
  digitalWrite(borneIN4, HIGH);
 
}
void right(){
  analogWrite(borneENA, 150);
  analogWrite(borneENB, 150);
  digitalWrite(borneIN1, HIGH);
  digitalWrite(borneIN2, LOW);
  digitalWrite(borneIN3, HIGH);
  digitalWrite(borneIN4, LOW);
 
}
void stop(){
  analogWrite(borneENA, 0);
  analogWrite(borneENB, 0);
  digitalWrite(borneIN1, LOW);
  digitalWrite(borneIN2, LOW);
  digitalWrite(borneIN3, LOW);
  digitalWrite(borneIN4, LOW);
 
}





 
void loop() {
    uint8_t buf[VW_MAX_MESSAGE_LEN];      
    uint8_t buflen = VW_MAX_MESSAGE_LEN;
    if (vw_get_message(buf, &buflen)){     // vérifie s'il y a un message disponible dans le tampon de réception
      Serial.println("oui");
      pos=char(buf[0]);
      if(pos=='1'){
        Serial.println("Up");
        forward();
        delay(500);
      }
      if(pos=='2'){
        back();
        delay(500);
      }
      if(pos=='3'){
        left();
        delay(500);
      }
      if(pos=='4'){
        right();
        delay(500);
      }
      if(pos=='5'){
        Serial.println("stop");
        stop();
        delay(500);
      }
 
}

}
